from odoo.addons.saas_worker.config import saas_config
from odoo.addons.website_sale_autocomplete.controllers.main import AutoCompleteController


class SaasAutoCompleteController(AutoCompleteController):

    def _perform_place_search(self, partial_address, api_key=None, session_id=None, language_code=None, country_code=None):
        api_key = api_key or saas_config.get('trial', {}).get('google_places_api_key', '-')
        return super()._perform_place_search(
            partial_address,
            api_key=api_key,
            session_id=session_id,
            language_code=language_code,
            country_code=country_code
        )

    def _perform_complete_place_search(self, address, api_key=None, google_place_id=None, language_code=None, session_id=None):
        api_key = api_key or saas_config.get('trial', {}).get('google_places_api_key', '-')
        return super()._perform_complete_place_search(
            address,
            api_key=api_key,
            google_place_id=google_place_id,
            language_code=language_code,
            session_id=session_id
        )
